<nav
  class="navbar navbar-expand-md fixed-top bottom-border-primary scroll-animation"
  [ngClass]="scrolled ? 'navbar-light bg-white' : 'navbar-dark bg-primary'"
>
  <a
    class="navbar-brand d-inline-flex align-items-center"
    href="javascript:void(0)"
    routerLink="/"
  >
    <img
      src="../../../assets/logo.png"
      width="48"
      height="48"
      class="d-inline-block align-top"
      alt="Logo"
    />
    <span class="ml-2" [ngClass]="scrolled ? 'text-dark' : 'text-light'"
      >Usput.ba</span
    >
  </a>
  <button
    class="navbar-toggler"
    type="button"
    data-toggle="collapse"
    data-target="#navbarCollapse"
    (click)="isNavbarExpanded = !isNavbarExpanded"
    aria-controls="navbarCollapse"
    aria-expanded="false"
    aria-label="Toggle navigation"
  >
    <span class="navbar-toggler-icon"></span>
  </button>
  <div
    [ngbCollapse]="!isNavbarExpanded"
    class="collapse navbar-collapse"
    id="navbarCollapse"
  >
    <ul class="navbar-nav ml-auto">
      <app-button
        [faIcon]="faEye"
        [classList]="'btn-success mx-1 my-2 btn-xs-block'"
        [value]="'Pregledaj vožnje'"
        [routeLink]="RoutesRoute"
        [queryParams]="{ voznje: 'da' }"
        (clicked)="closeNavbarOnMobile()"
      ></app-button>

      <app-button
        [faIcon]="faPlusCircle"
        [classList]="'btn-secondary mx-1 my-2 btn-xs-block'"
        [value]="'Ponudi prevoz'"
        (clicked)="closeNavbarOnMobile()"
      ></app-button>

      <div ngbDropdown>
        <button
          class="btn rounded-pill p-2 px-4 mx-1 my-2 btn-block"
          ngbDropdownToggle
          id="profil"
          [ngClass]="scrolled ? 'btn-outline-dark' : 'btn-outline-light'"
        >
          <fa-icon [icon]="faUser" [fixedWidth]="true"></fa-icon>
        </button>
        <div ngbDropdownMenu class="dropdown-menu dropdown-menu-right">
          <a
            *ngFor="
              let item of (isUserLoggedIn$ | async)
                ? signedInLinks
                : profileLinks
            "
            ngbDropdownItem
            style="cursor: pointer"
            (click)="profileLinkClicked($event, item)"
          >
            {{ item.title }}
          </a>
        </div>
      </div>
    </ul>
  </div>
</nav>
